/*
  Koji styling
  Copyright (c) 2007,2008, 2009, 2012 Red Hat, Inc.

  Authors:
    Mike Bonnet <mikeb@redhat.com>
    Mike McLean <mikem@redhat.com>
    Dennis Gilmore <dgilmore@redhat.com>
*/

html {
    min-width: 800px;
}

body {
    margin: 0px;
    padding: 0px;
    font-size: small;
    font-family: "Liberation Sans","Lucida Grande", "Luxi Sans", "Bitstream Vera Sans", helvetica, verdana, arial, sans-serif;
    color: #666;
    background: #fff url(images/header-bg.png) repeat-x;
}


h4
{
    font-size:19px;
    margin-bottom:14px;
}

#wrap {
    min-width: 750px;
    max-width:1100px;
    margin-left:auto;
    margin-right:auto;
    padding: 0;
    text-align: left;
}

#innerwrap {
position:relative;
}

#kojiLogo {
    /* Used only for the koji logo icon */
    display:inline-block;
padding-top:8px;

}

#PoweredByKojiLogo {
    /* Used only for the koji logo icon */
    float: right;
    border: 0px;
    height: 20px;
}


div#content {
    margin: 0 20px;
    margin-top:30px;
    clear: both;
}

p#footer {
    padding-top: 40px;
    margin-left: 15px;
    line-height: 1.5em;
    color: #999;
    font-size: xx-small;
    clear: both;
}

p#footer a {
    text-decoration: none;
}

.hide {
    display: none;
}

.disabled {
    color: #808080;
}

#mainNav {
    font-size:16px;
    font-weight:bold;
    height: 30px;
}

#mainNav ul {
    padding: 0px;
    margin: 0px;
    list-style-type: none;
}

#mainNav ul li {

    float: left;

}

#mainNav ul li a {
    display: block;
    color: rgba(255,255,255,0.8);
    text-decoration: none;
    padding: 0.5em 1.5em;
    font-size: 0.77em;
    height: 1.5em;
}

#mainNav ul li:hover {
    -webkit-border-top-left-radius: 5px;
-webkit-border-top-right-radius: 5px;
-moz-border-radius-topleft: 5px;
-moz-border-radius-topright: 5px;
border-top-left-radius: 5px;
border-top-right-radius: 5px;
background-color:rgba(255,255,255,0.1);
}

body#summary #mainNav li#summaryTab a,
body#tasks #mainNav li#tasksTab a,
body#tags #mainNav li#tagsTab a,
body#builds #mainNav li#buildsTab a,
body#packages #mainNav li#packagesTab a,
body#users #mainNav li#usersTab a,
body#hosts #mainNav li#hostsTab a,
body#buildtargets #mainNav li#buildtargetsTab a,
body#reports #mainNav li#reportsTab a,
body#search #mainNav li#searchTab a {
    background-color: #fff;
    color: #444;
    -webkit-border-top-left-radius: 5px;
-webkit-border-top-right-radius: 5px;
-moz-border-radius-topleft: 5px;
-moz-border-radius-topright: 5px;
border-top-left-radius: 5px;
border-top-right-radius: 5px;
}

table {
    border-spacing: 0px;
}

th {
    font-weight: bold;
    vertical-align: text-top;
    min-width: 100px;
    text-align:right;
}

td
{
   padding-left:15px;
}

th, td {
    line-height:19px;
}

td.building {
    color: #cc0;
    width:45px;
}

td.complete {
    color: #0c0;
        width:45px;
}

td.deleted,
td.failed,
td.canceled {
    color: #c00;
        width:45px;
}

td.false {
    color: #c00;
}

td.true {
    color: #0c0;
}

img.sort {
    /* used for up/down sort arrows*/
    vertical-align: baseline;
    width: 10px;
    height: 9px;
}

td.paginate {
    text-align: center;
}

form.pageJump {
    float: right;
    margin-left: 20px;
}

form.pageJump select {
    font-size: smaller;
}

div.dataHeader {
    font-weight: bold;
    font-size:17px;
    line-height:28px;
    padding-bottom:4px;
}

div.pageHeader {
    margin-bottom: 10px;
    font-weight: bold;
    font-size: 19px;
}

table.nested {
    float: left;
}

td.container {
    /*padding: 4px 0px;*/
    width: 100%;
}

table.nested th,
table.nested td {
    padding: 2px 4px;
}

div.toggle {
    padding: 6px;
}

td.tree {

}

.tree span.root {
    font-weight: bold;

}

.tree ul {
    padding-left: 2em;
    list-style: none;
    margin-top: 0em;
    margin-bottom: 0em;
}

.tree span.treeBranch {
    border-bottom: 1px solid #000;
    border-left: 1px solid #000;
    font-size: 1.2em;
}

.tree li.sibling > span.treeBranch {
    border-left-width: 0em;
}

.tree li.sibling {
    border-left: 1px solid #000;
}

.tree a {
    text-decoration: none;
}

.tree span.treeLabel {
    position: relative;
    top: 0.6em;
    margin-left: 1.2em;
    padding-left: 0.2em;

    font-size: 0.83em;
}

.tree > ul {
    padding-bottom: 0.6em;
}

.hidden {
    display: none;
}

.tree span.treeToggle {
    font-weight: bold;
}

.tree span.treeLink {
    font-size: smaller;
}

.adminLink {
    color: #000;
}

img.stateimg {
    margin-top: -6px;
    margin-bottom: -6px;
}

.charlist {
    text-align: center;
}

img.graphrow {
    background-color: #00f;
    vertical-align: bottom;
}

table.data-list {
    width: 100%;
}

table.data-list td {
    vertical-align: text-top;
    padding-left:3px;
}

tr.list-header {
    background-color: #fff;
}

tr.list-header th {
    background-color: #eee;
    box-shadow: 0 -1px 0 #ddd,  0 1px 0 #ddd;
    text-align:left;
    padding-left:4px;
}

tr.list-header th {
min-width:1px;
}

table.nested th
{
    min-width:1px;
}

tr.row-even,
tr.row-odd
{
    box-shadow: 0 1px 0 #ddd;
}

tr.row-even td,
tr.row-odd td
{
padding-left:4px;
}

tr.row-odd td:first-child,
tr.row-even td:first-child
 {
    box-shadow:  -1px 0 0 #ddd;
}

tr.row-odd td:last-child,
tr.row-even td:last-child {
    box-shadow:  1px 0 0 #ddd;
}

tr.list-header th:first-child
{
    box-shadow:  -1px 0 0 #ddd,0 -1px 0 #ddd,  0 1px 0 #ddd;
}

tr.list-header th:last-child
{
    box-shadow:  1px 0 0 #ddd,0 -1px 0 #ddd,  0 1px 0 #ddd;
}

tr.row-even td.tree {

}

tr.row-even td.tree span.treeLabel {

}

.taskfree, .taskfree:visited, .taskfree:hover {
    color: #3300CC;
    background-color:#fff;
}
.taskopen, .taskopen:visited, .taskopen:hover {
    color: #FF6600;
    background-color:#fff;
}
.taskclosed, .taskclosed:visited, .taskclosed:hover {
    color: #00CC00;
    background-color:#fff;
}
.taskcanceled, .taskcanceled:visited, .taskcanceled:hover {
    color: #CC9900;
    background-color:#fff;
}
.taskassigned, .taskassigned:visited, .taskassigned:hover {
    color: #CC00FF;
    background-color:#fff;
}
.taskfailed, .taskfailed:visited, .taskfailed:hover {
    color: #CC0000;
    background-color:#fff;
}

a.help {
    text-decoration: underline;
}

abbr {
    cursor: help;
}

.changelog {
    font-family: monospace;
    font-size: medium;
    white-space: pre;
}

#headerHelp {
    float: right;
    margin: 15px 10px 0 0;
}

.filterlist {
    font-size: smaller;
}

span#loginInfo {
    background-color: #ccc;
    font-weight: bold;
    padding: 3px 15px;
    position: absolute;
    right: 0;
    top: 0;
    -webkit-border-bottom-left-radius: 3px;
    -webkit-border-bottom-right-radius: 3px;
    -moz-border-radius-bottomleft: 3px;
    -moz-border-radius-bottomright: 3px;
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    box-shadow: 0 10px 10px rgba(255, 255, 255, 0.5) inset, 0 1px 3px rgba(0, 0, 0, 0.5);
    -mox-box-shadow: 0 10px 10px rgba(255, 255, 255, 0.5) inset, 0 1px 3px rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: 0 10px 10px rgba(255, 255, 255, 0.5) inset, 0 1px 3px rgba(0, 0, 0, 0.5);
}

.smaller {
    font-size: smaller;
}

.rpmheader {
    /*font-family: monospace;
    font-size: medium;
    white-space: pre;*/
}

.error {
    color: red;
}

/*new stuff in bootstrap redo*/
.sub-header{
background: #f3f3f3;
border-bottom: 1px solid #DDD;
padding-top:0.5em;
}

.nav-tabs{
  border-bottom:none!important;
}

.stretch-table-column {
    min-width: 99%;
}
